// AKAssmsListView.cpp : implementation file
//

#include "stdafx.h"
#include "AKAssms.h"
#include "AKAssmsListView.h"


// CAKAssmsListView

IMPLEMENT_DYNCREATE(CAKAssmsListView, CListView)

CAKAssmsListView::CAKAssmsListView()
{

}

CAKAssmsListView::~CAKAssmsListView()
{
}

BEGIN_MESSAGE_MAP(CAKAssmsListView, CListView)
END_MESSAGE_MAP()


// CAKAssmsListView diagnostics

#ifdef _DEBUG
void CAKAssmsListView::AssertValid() const
{
	CListView::AssertValid();
}

#ifndef _WIN32_WCE
void CAKAssmsListView::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}
#endif
#endif //_DEBUG


// CAKAssmsListView message handlers
void CAKAssmsListView::OnInitialUpdate()
{
    CListView::OnInitialUpdate();

   // this code only works for a report-mode list view
   CListCtrl& listCtrl = GetListCtrl();
   listCtrl.ModifyStyle(LVS_LIST,LVS_REPORT);
   ASSERT(GetStyle() & LVS_REPORT);


   // Insert a column. This override is the most convenient.
   listCtrl.InsertColumn(0, _T("Player Name"), LVCFMT_LEFT);

   // The other InsertColumn() override requires an initialized 
   // LVCOLUMN structure.
   LVCOLUMN col;
   col.mask = LVCF_FMT | LVCF_TEXT;
   col.pszText = _T("Jersey Number");
   col.fmt = LVCFMT_LEFT;
   listCtrl.InsertColumn(1, &col);

   // Set reasonable widths for our columns
   listCtrl.SetColumnWidth(0, 100/*LVSCW_AUTOSIZE_USEHEADER*/);
   listCtrl.SetColumnWidth(1, 100/*LVSCW_AUTOSIZE_USEHEADER*/);
}

void CAKAssmsListView::OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/)
{
    // TODO: Add your specialized code here and/or call the base class
}


